org.keycloak.encoding

## Class GzipResourceEncodingProviderFactory

- java.lang.Object
- - org.keycloak.encoding.GzipResourceEncodingProviderFactory

- All Implemented Interfaces:
    ResourceEncodingProviderFactory, ProviderFactory<ResourceEncodingProvider>

      public class GzipResourceEncodingProviderFactory
      extends Object
      implements ResourceEncodingProviderFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GzipResourceEncodingProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResourceEncodingProvider` | `create(KeycloakSession session)`
    `boolean` | `encodeContentType(String contentType)`
    `String` | `getId()`
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.encoding.ResourceEncodingProviderFactory

      `close, postInit`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Constructor Detail

    - #### GzipResourceEncodingProviderFactory

          public GzipResourceEncodingProviderFactory()

  - ### Method Detail

    - #### create

          public ResourceEncodingProvider create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<ResourceEncodingProvider>`

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ResourceEncodingProviderFactory`
      Specified by:
        `init` in interface `ProviderFactory<ResourceEncodingProvider>`

    - #### encodeContentType

          public boolean encodeContentType(String contentType)

      Specified by:
        `encodeContentType` in interface `ResourceEncodingProviderFactory`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<ResourceEncodingProvider>`

Copyright © 2020 JBoss by Red Hat. All rights reserved.